package com.zswc.creativity.vmodel

import android.app.Activity
import android.app.Application
import com.zswc.creativity.activity.LoginActivity
import com.tencent.mmkv.MMKV
import com.ysnows.base.base.BRepository
import com.ysnows.base.base.BViewModel
import com.ysnows.base.utils.B
import com.ysnows.base.utils.UiSwitch
import com.zswc.creativity.activity.PaySuessActivity
import com.zswc.creativity.activity.WithdrawSuessActivity

class WithdrawVModel(application: Application) : BViewModel<BRepository>(application) {


    fun toBack() {
        (repository().context as Activity).finish()
    }

    fun toSuessTips() {
        //提现成功

        UiSwitch.bundle(repository().context, WithdrawSuessActivity::class.java,
                B().putString("type", "2").ok())

    }


}
